# List Product Extension Objects Retrieves records from the Product Extensions table. Export the table to the Excel file (XLSX), CSV, or JSON using the output URL query parameter. When exporting to the file, specify fields (within the resultFields property) you want to include in the output table. Example request body for the export action: json { "data":{ "criteria":[ ], "operator":"and" }, "resultFields":[ "sku", "lastUpdateDate", "attribute1" ], "valueFields":[ ] } You can choose fields to be returned in the response by employing the resultFields or valueFields filter: resultFields: returns key-value pairs as objects. This is the more friendly response compared to valueFields but the server fetches all fields from the database in the backend which might result in a slower performance. See the List Products' listProductsResponseExample_resultFields response example. valueFields: returns just an array of values. Use this option if a better performance is required. See the List Products' listProductsResponseExample_valueFields response example. Endpoint: POST /productmanager.fetch/*/PX/{ProductMasterExtensionName} Security: basic, X-PriceFx-jwt ## Path parameters: - `ProductMasterExtensionName` (string, required) Enter the name of Product Extension you want to retrieve objects from. You can find the name in Administration > Configuration > Master Data > Product Master Extension or using the /configurationmanager.get/productextension endpoint. ## Query parameters: - `output` (string) Specifies the format of the output file. Enum: "json", "xls", "csv", "pdf" - `useColumnNames` (string) Set to false to retrieve the table with labels (as used in the database) instead of names in the table header. Enum: "true", "false" ## Request fields (application/json): - `endRow` (number) - `oldValues` (any) - `operationType` (string) - `startRow` (number) - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.value` (string) - `sortBy` (array) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.endRow` (number) - `response.totalRows` (number) - `response.status` (number)